<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">
		body{
			max-width: 1000px;
			margin: 0 auto;
		}
		div{
			min-height: 50px; 
		}
		
		#content{
			display: grid;
			grid-template-columns: 1fr 2fr 2fr;
			grid-template-rows: 2fr 7fr 1fr;
			grid-template-areas:
			"cabecera cabecera cabecera"
			"contenido loNoRojo loNoRojo"
			"pie pie pie";
			grid-gap: 1em;
		}
		#cabecera{
			grid-area: cabecera;
			background-color: lime;
		}
		#rojo{
			grid-area: contenido;
			background-color: red;
		}
		#loNoRojo{
			grid-area: loNoRojo;
			/*background-color: gold;*/
			display: grid;
			grid-template-columns: 1fr 1fr;
			grid-template-rows: 1fr 3fr 2fr;
			grid-template-areas:
				"morado morado"
				"naranja1 naranja2"
				"azul azul";
				grid-gap: 1em;
			}
				#morado{
					grid-area: morado;
					background-color: purple;
				}
				#naranja1{
					grid-area: naranja1;
					background-color: orange;
				}
				#naranja2{
					grid-area: naranja2;
					background-color: orange;
				}
				#azul{
					grid-area: azul;
					/*background-color: maroon;*/
					display: grid;
					grid-template-columns: 1fr 1fr 2fr 1fr 1fr;
					grid-template-rows: 1fr 1fr;
					grid-template-areas:
					"azules1 azules2 azules3 azules4 azules5"
					"azules6 azules7 azules8 azules9 azules10";
					grid-gap: 1em;
				}
					#azules1{
						grid-area: azules1;
						background-color: blue;
					}
					#azules2{
						grid-area: azules2;
						background-color: blue;
					}
					#azules3{
						grid-area: azules3;
						background-color: blue;
					}
					#azules4{
						grid-area: azules4;
						background-color: blue;
					}
					#azules5{
						grid-area: azules5;
						background-color: blue;
					}
					#azules6{
						grid-area: azules6;
						background-color: blue;
					}
					#azules7{
						grid-area: azules7;
						background-color: blue;
					}
					#azules8{
						grid-area: azules8;
						background-color: blue;
					}
					#azules9{
						grid-area: azules9;
						background-color: blue;
					}
					#azules10{
						grid-area: azules10;
						background-color: blue;
					}
		#pie{
			grid-area: pie;
			background-color: green;
		}
	</style>
</head>
<body>
	<div id="content">
		<div id="cabecera"></div>
		<div id="rojo"></div>
		<div id="loNoRojo">
			<div id="morado"></div>
			<div id="naranja1"></div>
			<div id="naranja2"></div>
			<div id="azul">
			<div id="azules1"></div>
			<div id="azules2"></div>
			<div id="azules3"></div>
			<div id="azules4"></div>
			<div id="azules5"></div>
			<div id="azules6"></div>
			<div id="azules7"></div>
			<div id="azules8"></div>
			<div id="azules9"></div>
			<div id="azules10"></div>
			</div>
		</div>
		
		<div id="pie"></div>
	</div>
</body>
</html>